Bug 75891 - Space in filename corrupts logrotate state file
Space in filename corrupts logrotate state file
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-10-14 13:17 EDT by John Hardin
Modified: 2015-01-07 19:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-23 15:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Hardin 2002-10-14 13:17:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:

If the logrotate filespec matches a file with a space in its filename, the
logrotate state file will be rendered corrupt (unparseable?) and this error will
be logged:

  error: bad line 49 in state file /var/lib/logrotate.status

This apparently prevents other log files from being rotated, and can lead to
excessive use of disk space and unreasonably large log files.

Example: this occurred with the samba logrotate file where several samba users
have spaces in their computer's NetBIOS names, thus their samba log files have
embedded spaces.

Version-Release number of selected component (if applicable):


Is this fixed in a newer logrotate that we can use on RH6.2?

How reproducible:
Didn't try.
Comment 1 Elliot Lee 2002-12-10 13:29:15 EST
That's a pretty old version of logrotate you're using. Please try the latest, and reopen if the 
problem persists. I know a fix was made related to filename quoting.

Note You need to log in before you can comment on or make changes to this bug.